# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/media/i2c/samsung,s5k5baf.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Samsung S5K5BAF UXGA 1/5" 2M CMOS Image Sensor with embedded SoC ISP

maintainers:
  - Krzysztof Kozlowski <krzk@kernel.org>

properties:
  compatible:
    const: samsung,s5k5baf

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  clock-names:
    items:
      - const: mclk

  clock-frequency:
    default: 24000000
    description: mclk clock frequency
    deprecated: true

  rstn-gpios:
    maxItems: 1
    description: RSTN pin

  stbyn-gpios:
    maxItems: 1
    description: STDBYN pin

  vdda-supply:
    description: Analog power supply 2.8V (2.6V to 3.0V)

  vddio-supply:
    description: I/O power supply 1.8V (1.65V to 1.95V) or 2.8V (2.5V to 3.1V)

  vddreg-supply:
    description:
      Regulator input power supply 1.8V (1.7V to 1.9V) or 2.8V (2.6V to 3.0)

  port:
    $ref: /schemas/graph.yaml#/$defs/port-base
    additionalProperties: false

    properties:
      endpoint:
        $ref: /schemas/media/video-interfaces.yaml#
        unevaluatedProperties: false

        properties:
          data-lanes:
            items:
              - const: 1

required:
  - compatible
  - clocks
  - clock-names
  - rstn-gpios
  - stbyn-gpios
  - vdda-supply
  - vddio-supply
  - vddreg-supply

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        sensor@2d {
            compatible = "samsung,s5k5baf";
            reg = <0x2d>;

            clocks = <&camera 0>;
            assigned-clocks = <&camera 0>;
            assigned-clock-rates = <24000000>;

            clock-names = "mclk";
            rstn-gpios = <&gpl2 1 GPIO_ACTIVE_LOW>;
            stbyn-gpios = <&gpl2 0 GPIO_ACTIVE_LOW>;
            vdda-supply = <&cam_io_en_reg>;
            vddio-supply = <&vtcam_reg>;
            vddreg-supply = <&vt_core_15v_reg>;

            port {
                endpoint {
                    remote-endpoint = <&csis1_ep>;
                    data-lanes = <1>;
                };
            };
        };
    };
